| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Lib::BoundingBoxDto Class Reference

Data Transfer Object (DTO) for bounding boxes of type IG.Num.BoundingBox. Used to store, transfer, serialize and deserialize objects of type BoundingBox. More...

Inheritance diagram for IG::Lib::BoundingBoxDto:
[legend]
Collaboration diagram for IG::Lib::BoundingBoxDto:
[legend]

List of all members.

## Public Member Functions
| BoundingBoxDto ()
| Creates a DTO for storing state of a bounding box object of any vector type.
| BoundingBoxDto (int dimension)
| Creates a DTO for storing a bounding box object of any bounding box type, with specified dimension.
override BoundingBox | CreateBoundingBox (int dimension)
| Creates and returns a new bounding box of the specified dimension.

## Detailed Description

Data Transfer Object (DTO) for bounding boxes of type IG.Num.BoundingBox. Used to store, transfer, serialize and deserialize objects of type BoundingBox.

$A Igor Aug09;

## Constructor & Destructor Documentation

IG::Lib::BoundingBoxDto::BoundingBoxDto | ( |  | ) | `[inline]`

Creates a DTO for storing state of a bounding box object of any vector type.

IG::Lib::BoundingBoxDto::BoundingBoxDto | ( | int | dimension | ) | `[inline]`

Creates a DTO for storing a bounding box object of any bounding box type, with specified dimension.

Parameters:

  dimension | Bounding box dimension.

## Member Function Documentation

override BoundingBox IG::Lib::BoundingBoxDto::CreateBoundingBox | ( | int | dimension | ) | `[inline]`

Creates and returns a new bounding box of the specified dimension.

Parameters:

  dimension | Bounding box dimension.

Reimplemented from IG::Lib::BoundingBoxDtoBase.

The documentation for this class was generated from the following file:

- BoundingBoxDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events